Class Specialization
TraceBack
Trace back values.

Simple Type

SimpleType

TraceBack

TraceBack
Include Headers
seqan/graph_align.h
Remarks
The ValueSize of TraceBack is 3. The values are defined in the following way: 0=Diagonal Move, 1=Horizontal Move, 2=Vertical Move
Specialization of
SimpleType
Implements
Simple Type
Metafunctions

IsSimple | Tests type to be simple. (SimpleType)
Spec | The spec of a class. (SimpleType)
Value | Type of the items in the container. (SimpleType)

Functions

assign | Assigns one object to another object. (SimpleType)
assign | Assigns one object to another object. (SimpleType)
ordValue | Maps an alphabet 1-to-1 to the interval [0..ValueSize). (SimpleType)

See Also
ValueSize
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52